Last Comment Bug 739965 - Expose some of the webconsole API as an interim measure
: Expose some of the webconsole API as an interim measure
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 06:24 PDT by neil@parkwaycc.co.uk
Modified: 2013-05-30 10:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (5.58 KB, patch)
2012-03-28 06:29 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-03-28 06:24:53 PDT
Until bug 574955 gives us the full webconsole, I thought that as an interim measure we could create a hidden preference to log calls to console.log (and info, warn and error) to the Error Console.
Comment 1 neil@parkwaycc.co.uk 2012-03-28 06:29:43 PDT
Created attachment 610111 [details] [diff] [review]
Proposed patch
Comment 2 neil@parkwaycc.co.uk 2012-03-28 06:31:42 PDT
Oh, the Array.slice tweak exists because sometimes we get given an [object Arguments] rather than a real array, and for some of the other API calls we get some other sort of object so I can't fix it before the case statement.
Comment 3 Philip Chee 2012-03-29 11:51:24 PDT
> Blocks: 574955
NO it doesn't I don't think.
Comment 4 neil@parkwaycc.co.uk 2012-04-01 16:21:52 PDT
Pushed changeset bbbdc62ed3bc to comm-central.
Comment 5 Philip Chee 2013-05-30 10:34:06 PDT
I think you mean comm-central changeset bbbdc62ed3bc

Note You need to log in before you can comment on or make changes to this bug.